package soundBoard {
	import com.greensock.TweenMax;
	import com.greensock.plugins.ColorMatrixFilterPlugin;
	import com.greensock.plugins.TweenPlugin;
	import flash.display.Bitmap;
	import soundBoard.IModel;

	//import flash.filters.ColorMatrixFilter;
	/**
	 * ...
	 * @author JM
	 */
	public class BitStFever extends BitmapState {
		private var theHue:Number;
		private var theSpeed:Number = .01;
		private var theBrightness:Number = .5;

		public function BitStFever(_model:IModel){
			super(_model);
			feverImg = model.bgFeverImg;
			feverImg.alpha = 1;
			//theSpeed = randomMinMax(.15, 2);

			tweenTo();
		}

		override public function tweenTo():void {
			theHue = randomMinMax(0xAAAAAA, 0xFFFFFF);
			theSpeed = randomMinMax(.08, .2);
			TweenMax.to(feverImg, theSpeed, {colorTransform: {tint: theHue, tintAmount: 0.5, exposure: -1, brightness: theBrightness}, onComplete: tweenComplete});


		}

		override public function tweenComplete():void {
			
			//if (theHue == 0xFFFFFF) {
				//theHue = 0x888888;
			//} else {
				//theHue++;
			//}
			tweenTo();
		}

		private function randomMinMax(min:Number, max:Number):Number {
			return min + (max - min) * Math.random();
		}

	}

}