package soundBoard 
{
	/**
	 * ...
	 * @author JM
	 */
	
	import flash.display.GradientType;
	import flash.display.Graphics;
	import flash.display.Sprite;
	import flash.geom.Matrix;
	import flash.display.Shape;
	
	import com.senocular.drawing.DashedLine;
	import com.tonp.utils.Draw;

	
	public class DragToButton extends RoundBtn 
	{
		
		public function DragToButton(str:String, txtSize:uint = 10 , hardW:uint=0, hardH:uint= 0  ) 
		{
				super(str, txtSize, hardW, hardH);
				//tf.alpha = 0;
		}
		
		override protected function getColors() :void{
			offFillColor=0x212121;
			offLineColor=0x212121;// outer of gradient

			overFillColor=0x131313;
			overLineColor=0x131313;// outer of gradient

			downFillColor=0x818181;
			downLineColor = 0x818181;// outer of gradient
			
			textColor = 0xFFFFFF;

		}
		
		override public function doButtonShape(lineColor:uint, fillColor:uint, w:uint, h:uint):Shape {
			w += 2;
			var gradType:String = GradientType.RADIAL;
			var matrix:Matrix = new Matrix();
			matrix.createGradientBox(w, h, deg2Rad(90),0,0);
			var colors:Array = [ lineColor, fillColor];
			var alphas:Array = [1, 1];
			var ratios:Array = [0 , 255];
			var canvas:Shape = new Shape();
			//var canvas:Sprite = new Sprite();
			canvas.graphics.beginGradientFill(gradType, colors, alphas, ratios, matrix);
			canvas.graphics.drawRoundRect(0, 0, w, h, 6);
			
		
			var dl:DashedLine = new DashedLine(canvas,4,6);
			dl.lineStyle(1, 0xFFFFFF, 1);
			Draw.curvedBox(dl, 2, 2, w-4, h-4, 4);

			function deg2Rad(deg:Number):Number {
					return deg * (Math.PI / 180);
			}
			

			return canvas;
		}
		
	}

}