package soundBoard 
{

	import flash.display.Bitmap;
	//import flash.display.Sprite;
	import flash.display.Stage;
	import flash.events.IEventDispatcher;
	import flash.media.Sound;
	
	/**
	 * ...
	 * @author JM
	 */
	public interface IModel extends IEventDispatcher
	{
		function get stage():Stage;
		function get dataXML():XML ;
		function set dataXML(value:XML):void ;
		function get bW():uint ;
		function get bH():uint ;
		function get bUp():uint ;
		function get bOver():uint ;
		function get bDown():uint ;
		function get gutter():uint;
		function get maxRow():uint ;
		function get appTitleText():String;
		
		function get bgImg():Bitmap ;
		function set bgImg(value:Bitmap):void;
		function get bgFeverImg():Bitmap ;
		function set bgFeverImg(value:Bitmap):void ;
		
		function get allSounds():Array ;
		function set allSounds(value:Array):void ;
		
		function addSoundboardSound(soundBtn:CustomSoundButton):uint;
		function getAddedSound():CustomSoundButton;
		
		function get currPage():uint ;
		function set currPage(pgNum:uint):void ;
		
		function get aPgBtns():Array ;
		function set aPgBtns(btns:Array):void ;
		
		function get aPages():Array ;
		function set aPages(pages:Array):void ;
		
		function set btnActionState(state:SoundboardButtonState):void ;
		function get btnActionState():SoundboardButtonState ;
		
		function get soundChannelState():SoundboardSoundState ;
		function set soundChannelState(soundState:SoundboardSoundState):void ;
		
		function get bitmapState():BitmapState ;
		function set bitmapState(value:BitmapState):void ;
		
		function get selectedSound():Sound ;
		function set selectedSound(sound:Sound):void ;
		
		function get selectingButton():CustomSoundButton;
		function set selectingButton(button:CustomSoundButton):void ;
		
		//function get feverDreaming():Boolean ;
		//function set feverDreaming(bool:Boolean):void ;
		
		function get ghostBtn():CustomSoundButton ;
		function set ghostBtn(btn:CustomSoundButton):void;
		
		function get swapToSelection():CustomSoundButton ;
		function set swapToSelection(btn:CustomSoundButton):void ;
		
		function get pageMaxCols():uint;
		function set pageMaxCols(value:uint):void ;
		
		function playSelectedSound():void;
		function removeGhostBtn():void;
		function swapButtons():void;
		function customPageAddButton():void
		function customPageDeleteButton():void
		//function feverDreamUpdate():void;
		//function swapUpdate():void;
		//function ghostBtnUpdate():void ;
	}
	
}