﻿package soundBoard {
	
	import flash.display.SimpleButton;

	public class CustomSimpleButton extends SimpleButton {
		private var _upColor:uint;
		private var _overColor:uint;
		private var _downColor:uint;
		public var swapState:ButtonDisplayState;

	public function CustomSimpleButton(_width:uint,_height:uint, _upColor:uint=0x1FB24B, _overColor:uint=0x423B39, _downColor:uint=0x750D21) {
		downState=new ButtonDisplayState(_downColor,_width,_height);
		overState=new ButtonDisplayState(_overColor,_width,_height);
		upState=new ButtonDisplayState(_upColor,_width,_height);
		hitTestState = new ButtonDisplayState(_upColor, _width, _height);
		swapState = new ButtonDisplayState(_downColor, _width, _height);
		swapStateOff();
		useHandCursor=true;
	}
	
	public function swapStateOn():void { 
		swapState.alpha = 1;
	}
	
	public function swapStateOff():void {
		swapState.alpha = 0;
	}
}
}